lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'transparent_data'

Gem::Specification.new do |spec|
  spec.name          = 'transparent_data-rb'
  spec.version       = TransparentData::VERSION
  spec.authors       = ['Roman Kakorin']
  spec.email         = ['romchky1@gmail.com']

  spec.summary       = 'https://transparentdata.eu API client'
  spec.description   = 'https://transparentdata.eu API client'
  spec.homepage      = 'https://github.com/sigmen/transparent_data-rb'
  spec.license       = 'MIT'
  spec.required_ruby_version = '>= 2.4.0'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = 'http://github.com/sigmen/transparent_data-rb/blob/master/CHANGELOG.md'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'bundler', '~> 2.1'
  spec.add_dependency 'faraday'
  spec.add_dependency 'rake', '~> 13.0'

  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop'
end
